NXOpen .NET Reference  12.0.0
NXOpen.Annotations.LightweightSectionBuilder Member List

This is the complete list of members for NXOpen.Annotations.LightweightSectionBuilder, including all inherited members.

AlternatePlane()NXOpen.Display.DynamicSectionBuilder
AssemblyCrosshatchingNXOpen.Annotations.LightweightSectionBuilder
BoundingBoxComponentsNXOpen.Annotations.LightweightSectionBuilder
BoxExtentDelayUpdateNXOpen.Display.DynamicSectionBuilder
BoxExtentMarginNXOpen.Display.DynamicSectionBuilder
BoxExtentObjectsNXOpen.Display.DynamicSectionBuilder
BoxExtentSupportedNXOpen.Display.DynamicSectionBuilder
CapColorNXOpen.Display.DynamicSectionBuilder
CapColorOptionNXOpen.Display.DynamicSectionBuilder
ClipCoplanarObjectsNXOpen.Annotations.LightweightSectionBuilder
ClipTypeNXOpen.Display.DynamicSectionBuilder
ClipWireframeObjectsNXOpen.Annotations.LightweightSectionBuilder
Commit()NXOpen.Builder
CreateDatumPlane()NXOpen.Display.DynamicSectionBuilder
CrosshatchSettingsNXOpen.Annotations.LightweightSectionBuilder
CsysTypeNXOpen.Display.DynamicSectionBuilder
CurveColorNXOpen.Display.DynamicSectionBuilder
CurveColorOptionNXOpen.Display.DynamicSectionBuilder
CuttingPlaneSymbolNXOpen.Annotations.LightweightSectionBuilder
DefaultPlaneAxisNXOpen.Display.DynamicSectionBuilder
DeferCurveUpdateNXOpen.Display.DynamicSectionBuilder
Destroy()NXOpen.Builder
DisplayCrosshatchNXOpen.Annotations.LightweightSectionBuilder
EditView(NXOpen.ModelingView view)NXOpen.Display.DynamicSectionBuilder
GetActivePlane(out NXOpen.Display.DynamicSectionTypes.Axis planeAxis, out NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)NXOpen.Display.DynamicSectionBuilder
GetAllPlanesGeometry(out NXOpen.Point3d[] planeOrigins, out NXOpen.Matrix3x3[] planeMetrices)NXOpen.Display.DynamicSectionBuilder
GetBoundingBox(out NXOpen.Point3d minCornerPt, out NXOpen.Point3d maxCornerPt)NXOpen.Display.DynamicSectionBuilder
GetCommittedObjects()NXOpen.Builder
GetGridSettings()NXOpen.Display.DynamicSectionBuilder
GetName()NXOpen.Display.DynamicSectionBuilder
GetNormal()NXOpen.Display.DynamicSectionBuilder
GetObject()NXOpen.Builder
GetOffset()NXOpen.Display.DynamicSectionBuilder
GetOffsetLimits(out double minimumOffset, out double maximumOffset)NXOpen.Display.DynamicSectionBuilder
GetOrigin()NXOpen.Display.DynamicSectionBuilder
GetPlaneGeometry(NXOpen.Display.DynamicSectionTypes.Axis axisType, NXOpen.Display.DynamicSectionTypes.ActivePlane planeType, out NXOpen.Point3d origin, out NXOpen.Matrix3x3 matrix)NXOpen.Display.DynamicSectionBuilder
GetPlaneThickness()NXOpen.Display.DynamicSectionBuilder
GetRotationAngle(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis)NXOpen.Display.DynamicSectionBuilder
GetRotationMatrix()NXOpen.Display.DynamicSectionBuilder
GetSectionCurves(out NXOpen.Curve[] curves)NXOpen.Annotations.LightweightSectionBuilder
InterferenceColorNXOpen.Display.DynamicSectionBuilder
IsAssociativitySupported()NXOpen.Display.DynamicSectionBuilder
IsDefaultPlane()NXOpen.Display.DynamicSectionBuilder
LayerSettingsNXOpen.Display.DynamicSectionBuilder
LoadAllIntersecting(out NXOpen.PartLoadStatus loadStatus)NXOpen.Display.DynamicSectionBuilder
LoadNearIntersecting(out NXOpen.PartLoadStatus loadStatus)NXOpen.Display.DynamicSectionBuilder
LockPlanesNXOpen.Display.DynamicSectionBuilder
NumberInSeriesNXOpen.Display.DynamicSectionBuilder
ObjectsToSectionNXOpen.Annotations.LightweightSectionBuilder
OffsetOriginInPlane(double xOffset, double yOffset)NXOpen.Display.DynamicSectionBuilder
PatternDefinedByNXOpen.Annotations.LightweightSectionBuilder
PlaneX()NXOpen.Display.DynamicSectionBuilder
PlaneY()NXOpen.Display.DynamicSectionBuilder
PlaneZ()NXOpen.Display.DynamicSectionBuilder
RestoreView()NXOpen.Display.DynamicSectionBuilder
RestrictCrosshatchNXOpen.Annotations.LightweightSectionBuilder
ReverseDirection()NXOpen.Display.DynamicSectionBuilder
ReverseSeriesNXOpen.Display.DynamicSectionBuilder
SaveAssociativeCurvesNXOpen.Annotations.LightweightSectionBuilder
SaveCurves(string groupName)NXOpen.Display.DynamicSectionBuilder
SeriesSpacingNXOpen.Display.DynamicSectionBuilder
SetActivePlane(NXOpen.Display.DynamicSectionTypes.Axis planeAxis, NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)NXOpen.Display.DynamicSectionBuilder
SetAllPlanesGeometry(NXOpen.Point3d[] planeOrigins, NXOpen.Matrix3x3[] planeMetrices)NXOpen.Display.DynamicSectionBuilder
SetAssociativePlane(NXOpen.Plane planeTag)NXOpen.Display.DynamicSectionBuilder
SetBoundingBox(NXOpen.Point3d minCornerPt, NXOpen.Point3d maxCornerPt)NXOpen.Display.DynamicSectionBuilder
SetDefaultPlane()NXOpen.Display.DynamicSectionBuilder
SetDefaults()NXOpen.Display.DynamicSectionBuilder
SetName(string sectionName)NXOpen.Display.DynamicSectionBuilder
SetNormal(NXOpen.Vector3d normal)NXOpen.Display.DynamicSectionBuilder
SetOffset(double offset)NXOpen.Display.DynamicSectionBuilder
SetOffsetByPoint(NXOpen.Point3d point)NXOpen.Display.DynamicSectionBuilder
SetOrigin(NXOpen.Point3d origin)NXOpen.Display.DynamicSectionBuilder
SetPlane(NXOpen.Point3d axisOrigin, NXOpen.Point3d origin, NXOpen.Matrix3x3 rotationMatrix)NXOpen.Display.DynamicSectionBuilder
SetPlaneThickness(double planeThickness)NXOpen.Display.DynamicSectionBuilder
SetRotationAngle(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, double angle)NXOpen.Display.DynamicSectionBuilder
SetRotationMatrix(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, NXOpen.Matrix3x3 rotationMatrix)NXOpen.Display.DynamicSectionBuilder
ShowCapNXOpen.Display.DynamicSectionBuilder
ShowClipNXOpen.Display.DynamicSectionBuilder
ShowCurvePreview(bool showCurvePreview)NXOpen.Display.DynamicSectionBuilder
ShowCurvesNXOpen.Display.DynamicSectionBuilder
ShowGridNXOpen.Display.DynamicSectionBuilder
ShowInterferenceNXOpen.Display.DynamicSectionBuilder
ShowResults()NXOpen.Builder
ShowSectionCurves(bool showCurves)NXOpen.Display.DynamicSectionBuilder
ShowViewerNXOpen.Display.DynamicSectionBuilder
ToleranceCrosshatchNXOpen.Annotations.LightweightSectionBuilder
TypeNXOpen.Display.DynamicSectionBuilder
UpdateBoxExtents()NXOpen.Display.DynamicSectionBuilder
Validate()NXOpen.Builder
ViewNXOpen.Display.DynamicSectionBuilder
ViewNameNXOpen.Annotations.LightweightSectionBuilder
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.